Page MenuHomePhabricator

efl.animator
Closed, ResolvedPublic

Description

| | | |interface Efl.Animator
| | | |├ (E) animator,tick

Related Objects

StatusAssignedTask
Resolvedzmike
Resolvedzmike
Duplicatesingh.amitesh
Resolvedzmike
Resolvedzmike
Resolvedzmike
Resolvedzmike
zmike created this task.Jan 8 2019, 11:33 AM
zmike triaged this task as TODO priority.
segfaultxavi moved this task from Backlog to Evaluating on the efl: api board.Feb 6 2019, 3:53 AM
zmike moved this task from Evaluating to "easy" on the efl: api board.Feb 6 2019, 5:36 AM

The only purpose of this interface seems to be to define the animator,tick event and its associated data structure.
Only Efl.Canvas.Object (and Evas.Canvas) implement it.

Seems too simple to have anything wrong. The only question would be if it's worth having it as a separate interface, or should we merge it into Efl.Canvas.Object (and screw legacy! just kidding, should be merged into Evas.Canvas too).

zmike added a comment.Feb 8 2019, 9:56 AM

Why would it need to be in legacy? Legacy has ecore_animator objects.

cedric added a subscriber: ManMower.Feb 8 2019, 1:56 PM

Hum, it might actually work to move it to Efl.Canvas.Object as we do not have a Canvas object and rely on Efl.Ui.Win for that purpose. Would be interesting to look at this this way. And for the record, I am sure @ManMower will agree, Efl.Animator is the trickiest things to get right!

zmike closed this task as Resolved.Feb 22 2019, 6:01 AM
zmike claimed this task.